Title
#beginners-need-help
s

Solarer

03/09/2022, 2:45 PM
Hi everybody, I have an issue upgrading kedro to 0.17.7. I am on windows 10, python 3.8.10 installed via pip and previously i used kedro 0.17.4 which is working fine. I upgraded kedro via
pip install kedro -U
and created a new kedro project
kedro new
and created a dedicated environment using
venv
. After activating the new environment and running
kedro build-reqs
the process fails because the restrictions for jupyter_client overlap and it cannot find a version that satisfies the requirements:
Could not find a version that matches jupyter_client<7.0,
8.0,=4.1,>=5.1,>=5.3.4,>=6.1.1,>=7.0.0 (from -r C:\Users\Jan\Documents\myprojects\analytics\src\requirements.in (line 8)) Any idea how to resolve this?